## python-django-pint 0.7.1

=== docs/requirements.txt ===
Django>=2.2
m2r2>=0.2.5
pint>=0.16
recommonmark>=0.6.0
six>=1.15.0
Sphinx>=3.3.1
sphinx-rtd-theme>=0.5.0

## python-django-pint 0.6.3

=== debian/changelog ===
python-django-pint (0.6.3-3) unstable; urgency=medium

  * Team upload.
  * dh-python-pep517 is replaced by pybuild-plugin-pyproject.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Feb 2022 22:24:52 -0400

python-django-pint (0.6.3-1) unstable; urgency=low

  * Initial release (Closes: #1003023).

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Dec 2021 12:32:57 +0000

=== debian/control ===
Source: python-django-pint
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-django,
 python3-m2r,
 python3-pint,
 python3-pypandoc,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-recommonmark,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.0.1
Homepage: https://github.com/CarliJoy/django-pint/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pint
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pint.git
Rules-Requires-Root: no

Package: python-django-pint-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django Quantity Field (Documentation)
 A small Django field extension allowing you to store quantities in certain
 units and perform conversions easily. Uses pint behind the scenes. Also
 contains a form field class and form widget that allows a user to choose
 alternative units to input data. The cleaned_data will output the value in the
 base_units defined for the field, eg: you specify you want to store a value in
 grams but will allow users to input either grams or ounces.
 .
 This package contains the documentation.

Package: python3-django-pint
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-pint-doc,
Description: Django Quantity Field (Python3 version)
 A small Django field extension allowing you to store quantities in certain
 units and perform conversions easily. Uses pint behind the scenes. Also
 contains a form field class and form widget that allows a user to choose
 alternative units to input data. The cleaned_data will output the value in the
 base_units defined for the field, eg: you specify you want to store a value in
 grams but will allow users to input either grams or ounces.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-pint
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/coverage.xml

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-pint-doc/usr/share/doc/python-django-pint-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-django-pint-$1.tar.gz/ \
https://github.com/CarliJoy/django-pint/tags \
/CarliJoy/django-pint/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-django-pint 0.7.1

=== debian/changelog ===
python-django-pint (0.7.1-2) unstable; urgency=medium

  * Remove python-matplotlib-doc and python-numpy-doc from Build-Depends
    (Closes: #1027571).
  * Drop matplotlib and numpy from intersphinx mapping match.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Sat, 14 Jan 2023 19:17:59 +0000

python-django-pint (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.0.
  * Update year in d/copyright.
  * Skip failing tests during build an autopkgtest.
  * Use local objects.inv for intersphinx in documentation.

 -- Michael Fladischer <fladi@debian.org>  Sat, 06 Aug 2022 21:31:24 +0000

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,29 @@
  debhelper-compat (= 13),
  dh-python,
  pybuild-plugin-pyproject,
+ python-pandas-doc,
+ python-scipy-doc,
+ python-sklearn-doc,
  python3-all,
  python3-django,
+ python3-doc,
  python3-m2r,
+ python3-matplotlib,
+ python3-numpy,
+ python3-pandas,
  python3-pint,
  python3-pypandoc,
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-django,
  python3-recommonmark,
+ python3-scipy,
  python3-setuptools,
+ python3-sklearn,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0.1
+ sphinx-doc,
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/CarliJoy/django-pint/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pint
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pint.git

## python-django-pint 0.7.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
AUTODOCDIR    = api

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $?), 1)
$(error "The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://sphinx-doc.org/")
endif

.PHONY: help clean Makefile

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	rm -rf $(BUILDDIR)/* $(AUTODOCDIR)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-django-pint (0.7.3-4) unstable; urgency=medium

  * Team upload.
  * Apply Multi-Arch hint
  * Rewrite d/rules with newer & shorter syntax
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 Jan 2026 11:29:56 +0100

python-django-pint (0.7.3-3) unstable; urgency=medium

  * Team upload.
  * Remove extraneous dependency on deprecated python3-m2r

 -- Alexandre Detiste <tchet@debian.org>  Sat, 01 Jun 2024 23:52:41 +0200

python-django-pint (0.7.3-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 18:51:35 +0300

python-django-pint (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * Refresh patches.
  * Bump Standards-Version to 4.6.2.

 -- Michael Fladischer <fladi@debian.org>  Sat, 28 Oct 2023 12:32:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-django-pint
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python-pandas-doc,
  python-scipy-doc,
@@ -14,7 +13,6 @@
  python3-all,
  python3-django,
  python3-doc,
- python3-m2r,
  python3-matplotlib,
  python3-numpy,
  python3-pandas,
@@ -26,19 +24,20 @@
  python3-recommonmark,
  python3-scipy,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sklearn,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  sphinx-doc,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/CarliJoy/django-pint/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pint
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pint.git
-Rules-Requires-Root: no
 
 Package: python-django-pint-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=django-pint
+export PYBUILD_TEST_ARGS=--import-mode=importlib -k "not test_raises_validation_error_for_negative_numbers"
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/coverage.xml
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
@@ -15,6 +16,5 @@
 	dh_sphinxdoc
 endif
 
-override_dh_clean:
+execute_before_dh_clean:
 	rm -rf docs/.build
-	dh_clean

## python-django-pint 1.0.4

=== Makefile ===
# Makefile

# Define a help target to show the available commands and their purposes
.PHONY: help
help:
	@echo "Available commands:"
	@echo "  make dev-setup           - Setup and test the development environment (requires pyenv and Docker already installed)"
	@echo "  make install-pyenv       - Install pyenv and its dependencies"
	@echo "  make install-python      - Install supported Python versions 3.8, 3.9, 3.10, 3.11 using pyenv"
	@echo "  make install-docker      - Install Docker and add the current user to the docker group"
	@echo "  make install-pipx        - Install pipx and ensure it's on your PATH"
	@echo "  make install-pre-commit  - Install pre-commit using pipx"
	@echo "  make install-tox         - Install tox using pipx and inject tox-docker"
	@echo "  make activate-pre-commit - Activate pre-commit hooks"
	@echo "  make lint                - Run pre-commit checks on all files"
	@echo "  make test                - Run tests with tox"
	@echo "  make dev-setup           - Run all the above commands in sequence (pipx, pre-commit, tox, activate-pre-commit, lint, test)"
	@echo ""
	@echo "Suggested use:"
	@echo "  If you already have pyenv and Docker installed, run 'make dev-setup' for the python/env you need setting up!"
	@echo "  Otherwise, start with 'make install-pyenv', 'make install-python', and 'make install-docker'."
	@echo "  When everything is in place run 'make test' to do run the testing suite."

# Set the default target to help
.PHONY: all
all: help

# Target to install pyenv
.PHONY: install-pyenv
install-pyenv:
	sudo apt-get install -y make build-essential libssl-dev zlib1g-dev
	sudo apt-get install -y libbz2-dev libreadline-dev libsqlite3-dev wget curl llvm libncurses5-dev
	sudo apt-get install -y libncursesw5-dev xz-utils tk-dev libffi-dev liblzma-dev python3-openssl
	@echo "Installing pyenv..."
	/bin/bash -c "$$(curl -fsSL https://pyenv.run)"
	@echo "Pyenv has been installed. Please restart your shell or run 'exec $$SHELL' to refresh your environment."

# Target to install all needed python versions
.PHONY: install-python
install-python:
	pyenv install 3.8 3.9 3.10 3.11

# Target for installing Docker
.PHONY: install-docker
install-docker:
	sudo apt update
	sudo apt install -y docker.io
	sudo usermod -aG docker $(USER)
	@echo "Please log out and log back in to apply the docker group changes."

# Target for installing pipx and ensuring the path is set
.PHONY: install-pipx
install-pipx:
	python -m pip install --user --upgrade pip
	python -m pip install --user pipx
	python -m pipx ensurepath

# Target for installing pre-commit using pipx
.PHONY: install-pre-commit
install-pre-commit: install-pipx
	pipx install pre-commit

# Target for installing tox using pipx
.PHONY: install-tox
install-tox: install-pipx
	pipx install tox
	pipx inject tox tox-docker

# Target to activate pre-commit hooks
.PHONY: activate-pre-commit
activate-pre-commit:
	pre-commit install

# Target to run pre-commit checks on all files
.PHONY: lint
lint:
	pre-commit run --all-files


# Target to run all the above commands in sequence
.PHONY: dev-setup
dev-setup: install-pipx install-pre-commit install-tox activate-pre-commit lint

# Target to run tests with tox
.PHONY: test
test:
	tox

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Django>=2.2
+Django>=5.2
 m2r2>=0.2.5
 pint>=0.16
 recommonmark>=0.6.0

=== debian/changelog ===
python-django-pint (1.0.4-1) unstable; urgency=low

  * New upstream version 1.0.4
  * Refresh patches.
  * Update year in d/copyright.
  * Switch Testsuite to autopkgtest-pkg-pybuild.
  * Simplify d/rules by using execute_before_ target instead of override.
  * Use \$(CURDIR) in d/rules.

 -- Michael Fladischer <fladi@debian.org>  Sun, 08 Feb 2026 02:20:48 +0000

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Homepage: https://github.com/CarliJoy/django-pint/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pint
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pint.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-pint-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,10 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_sphinxdoc:
+execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-pint-doc/usr/share/doc/python-django-pint-doc/html
-	dh_sphinxdoc
+	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-django-pint-doc/usr/share/doc/python-django-pint-doc/html
 endif
 
 execute_before_dh_clean:
-	rm -rf docs/.build
+	rm -rf $(CURDIR)/docs/.build

=== debian/watch ===
Version: 5

Template: GitHub
Owner: CarliJoy
Project: django-pint
